import unittest

# Import all test submodules
import testctrl
import testbulk

# usbtest vendor-specific requests
REQ_INIT_DESC	= 0x00
REQ_GET_DESC	= 0x01
REQ_INVALID	= 0xff

# usbtest vendor-specific descriptor types
DT_SIZE2	= 0x01
DT_SIZE63	= 0x02
DT_SIZE64	= 0x03
DT_SIZE65	= 0x04
DT_SIZE127	= 0x05
DT_SIZE128	= 0x06
DT_SIZE129	= 0x07

def suite(usbdev):
	global dev

	dev = usbdev
	suite = unittest.TestSuite()
	suite.addTest(testctrl.suite())
	suite.addTest(testbulk.suite())

	return suite
